

* {
    box-sizing: border-box;
    font-family: Times, "Times New Roman", sans-serif;
    color: #777;
}

html, body {
    padding: 0;
    margin: 0;
}

/*global variable*/
.btn-block {
    padding: 10% 0;
}

/*Main NavBar*/
.main-nav {
    text-align: center;
    font-size: 1em;
    font-weight: lighter;
    border-bottom: 1px solid rgba(255, 255, 255, .3);
    z-index: 10000;
    background-color: black;
    position: fixed;
    top: 0;
    width: 100%;
}

.navbar-dark .navbar-nav .nav-link {
    color: rgba(255, 255, 255, 1);
}
/*Locations Page*/
.city-list-anchor{
}
.city-list{
    z-index: 1000;
}
.city-list ul{
    overflow-y: scroll;
    max-height: 350px;
    list-style: none;
    cursor: pointer;
    padding-left: 5px ;
}
.city-list li:hover{
    background-color: lightblue;
    color: black;
}
/*Header stuff*/


.band-name {
    text-align: center;
    margin: 0;
    font-size: 3em;
    font-family: "Rammstein main";
    font-weight: normal;
    color: white;
}

.band-name-large {
    font-size: 6em;
    margin-top: 20px;
}

.button {
    text-align: center;
    vertical-align: middle;
    padding: .67em;
    cursor: pointer;
}

.btn-header {
    display: block;
    margin: 2em auto;
    color: white;
    border: 2px solid darkred;
    background-color: rgba(255, 255, 255, .1);
    border-radius: 0;
    font-size: 1.5em;
    font-weight: lighter;
    padding-right: 2em;
    padding-left: 2em;
}

.btn-header:hover {
    background-color: rgba(255, 255, 255, .3);
}

.btn-play {
    display: block;
    margin: 0 auto;
    color: darkred;
    font-size: 3em;
    border-radius: 50%;
    padding: 0;
    width: 100px;
    height: 100px
}

/*Footer*/
.main-footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    background-color: black;
    color: white;
    margin-top: -400px;
    display: flex;
    z-index: 1000;
}

.main-footer-container {
    display: inline-flex;
    align-items: center;
    width: 100%;
    max-width: 100%;
    margin: 0 auto;
    padding: 0 1.5em;
}

.main-footer-container ul {
    flex-direction: row;
    align-items: flex-end;
}

.footer-nav {
    margin-left: auto;
    padding: 0;
}

.footer-nav ul {
    justify-content: end;

}

.footer-nav li {
    padding: 0 .5em;
}

.footer-nav img {
    width: 30px;
    height: 30px;
}

/*Global*/
.content-section {
    margin: 1em;
}

.section-header {
    font-family: "Rammstein main";
    font-weight: normal;
    color: #333;
    text-align: center;
    font-size: 2.5em;
}

#spinner {
    align-items: center;
    text-align: center;
    justify-content: center;
}

.show {
    visibility: visible;
}

.dont-show {
    visibility: hidden;
}

/* Index Page*/
.table-anchor {
    position: relative;
}

table.event {
    margin: auto;
    width: 90%;
    border-collapse: collapse;
    border-style: hidden;
}

table.event-small {
    margin: auto;
    width: 90%;
    border-collapse: collapse;
    border-style: hidden;
}

table.event caption, table.event-small caption {
    background-color: black;
    color: #fff;
    font-size: 3em;
    font-family: "Rammstein main";
    padding: 10px;
    font-weight: bold;
    letter-spacing: .3em;
}

table.event thead th, table.event-small thead th {
    padding: 8px;
    background-color: #eeeeee;
    font-size: large;
}

table.event thead th#thDay, table.event thead th#thLocation, table.event thead th#thArena {
    text-align: center;
}

table.event th, table.event td, table.event-small th, table.event-small td {
    padding: 3px;
    border-width: 1px;
    border-style: solid;
    border-color: black;
}

table.event td, table.event-small td {
    text-align: center;
}

table.event td:last-child, table.event-small td:last-child {
    text-align: center;
}

table.event tbody th, table.event-small tbody th {
    text-align: center;
    font-weight: normal;
}

table.event tr.even, table.event-small tr.even {
    background-color: #eeeeee;
}

table.event .btn-primary {
    color: white;
    background-color: red;
    border: 0;
    font-weight: bold;
}

table.event .btn-primary:hover {
    background-color: darkred;
}

/*Delete LAter*/
.topnav {
    overflow: hidden;
}

.topnav a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
}

.topnav a:hover {
    background-color: #ddd;
    color: black;
}

.topnav a.active {
    background-color: #4CAF50;
    color: white;
}

.topnav .icon {
    display: none;
}

/*News Page*/
.btn-toggle-display {
    align-items: center;
    justify-content: center;
    text-align: center;
}

.news-section-row {
    display: flex;
    padding: 0 6%;
}

.news-section-column-large {
    flex: 68%;
    padding-right: 3%;
}

.news-section-column-small {
    flex: 17%;
}

.article-image img {
    width: 100%;
    border-radius: 15%;
    padding-bottom: 10px;
}

.article-date {
    margin: auto;
    text-align: center;
}

.article-body {
    border-radius: 5%;
    border-style: solid;
    border-width: 1px;
    background-color: #eeeeee;

}

.article-large {
    flex: 0 0 75%;
    max-width: 75%
}

.article-large a {
    text-decoration: none;
    color: black;
}

.article-large a:hover {
    color: #555555;
}

.article-small {
    flex: 0 0 23%;
    max-width: 23%;
}

.article-body p {
    font-size: 24px;

}

.article-body h1 {
    font-size: 32px;
}

.article-main {
    padding-top: 2%;
    position: relative;
}

.article-main:last-child {
    padding-bottom: 11%;
}

.article-title-text {
    font-size: 1.6vw;
    color: black;
}

.article-title-text:hover {
    color: darkred;
    text-decoration: none;

}

.article-content-text p {
    font-size: 1.1vw;
}

.news-badge {
    display: inline-block;
    position: absolute;
    top: 0;
    right: -3%;
    z-index: 40;
    border-radius: 45%;
    background: linear-gradient(to right, rgba(255, 0, 0, 0.3), rgba(255, 0, 0, 0.7));;
    color: white;
    font-size: 1vw;
    padding: 0.5% 2.5%;

}

.category-box {
    flex: 1 0 100%;
    max-width: 100%;
}

.category-list-style {
    font-size: 1.5vw;
    text-align: center;
    list-style: none;
}

.category-link-style {
    color: darkred;
    font-weight: bold;
}

.category-link-style:hover {
    color: red;
}

.tag-style {
    font-size: 1.2vw;
    padding: 3px;
    color: darkred;
}

.tag-style:hover {
    color: red;
}

/*Contact Page*/
.form-box {
    border: 1px black;
}

.btn-primary {
    color: white;
    background-color: red;
    border: 0;
    font-weight: bold;
}

.btn-primary:hover {
    background-color: darkred;
}

.button-margin {
    margin-bottom: 20px;
}

.trigger-alert {
    display: none;
}

/*Music Page*/
.music-section {
    align-items: center;
    text-align: center;
}

.musik-items {
    display: flex;
    align-items: center;
    justify-content: center;
}

/*Store Page*/
.shop-item {
    margin: 30px;
}

.shop-item-title {
    display: block;
    width: 100%;
    text-align: center;
    font-weight: bold;
    font-size: 1.5em;
    color: #333;
    margin-bottom: 15px;
}

.shop-item-image {
    height: 350px;
    width: 350px;
}

.shop-item-detail {
    display: flex;
    align-items: center;
    padding: 5px;
}

.shop-item-price {
    flex-grow: 1;
    color: #333;
}

.shop-items {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.shop-item-btn {
    margin-left: auto;
}

.cart-header {
    font-weight: bold;
    font-size: 1.2em;
    color: #333;
}

.cart-column {
    display: flex;
    align-items: center;
    border-bottom: 1px solid black;
    margin-right: 1.5em;
    padding-bottom: 10px;
    margin-top: 10px;
}

.cart-quantity-input {
    height: 34px;
    width: 30px;
    border-radius: 5px;
    border: 1px solid darkred;
    background-color: #eee;
    color: #333;
    padding: 0;
    text-align: center;
    font-size: 1.2em;
    margin-right: 25px;
}

.cart-row:last-child {
    border-bottom: 1px solid black;
}

.cart-row:last-child .cart-column {
    border: none;
}

.cart-total {
    text-align: end;
    margin-top: 10px;
    margin-right: 10px;
}

.cart-total-title {
    font-weight: bold;
    font-size: 1.5em;
    color: black;
    margin-right: 20px;
}

.cart-total-price {
    color: #333;
    font-size: 1.1em;
}

.btn-purchase {
    display: block;
    margin: 40px auto 80px auto;
    font-size: 1.75em;
}

.cart-row {
    display: flex;
}

.cart-item {
    width: 45%;
}

.cart-price {
    width: 20%;
    font-size: 1.2em;
    color: #333;
}

.cart-quantity {
    width: 35%;
}

.cart-item-title {
    color: #333;
    margin-left: 0.5em;
    font-size: 1.2em;
}

.cart-item-image {
    width: 100px;
    height: auto;
    border-radius: 10px;
}

/*Calendar Page*/
table.calendar .day{
    background-color: lightblue;
    color: black;
    font-weight: bold;
}
table.calendar .wend{
    background-color: lightpink;
    color: black;
    font-weight: bold;
}
table.calendar .prev-month{
    background-color: lightgray;
    color: gray;
}
table.calendar .prev-wend{
    background-color: rgb(223, 183, 191);
    color: gray;
}
table.calendar .today{
    background-color: yellow;
    color: black;
    font-weight: bold;
}

table.calendar td{
    text-align: center;
}

table.calendar td:last-child {
    text-align: center;
}

table.calendar tbody th {
    text-align: center;
    font-weight: normal;
}

table.calendar tr.even {
    background-color: #eeeeee;
}


@media screen and (max-width: 1250px) {
    .main-header {
        padding: 5em 0 1em 0;
    }

    .band-name-large {
        font-size: 5em;
    }
}

@media screen and (max-width: 1000px) {
    .band-name-large {
        font-size: 4.5em;
    }

    .article-title-text {
        font-size: 24px;
    }

    .article-content-text p {
        font-size: 16px;
    }

    .news-section-row {
        flex-wrap: wrap
    }

    .news-section-column-large {
        flex: 88%;
    }

    .news-section-column-small {
        flex: 88%;
    }

    .article-small {
        flex: 0 0 23%;
        max-width: 23%;
        align-items: center;
        margin-right: 0%;
    }

    .article-large {
        flex: 0 0 75%;
        max-width: 100%;
        align-items: center;
    }

    .small-article-body ul {
        padding-inline-start: 0;
    }

    .news-section-column-small {
        flex-wrap: wrap;
    }

    .news-section-column-small:last-child {
        margin-bottom: 150px;
    }

    .category-list-style {
        font-size: 20px;
    }

    .tag-style {
        font-size: 20px;
    }

    .news-badge {
        font-size: 20px;
    }

    .btn-header {
        font-size: 1.2em;
        margin: 0.5em auto;
    }

    .btn-play {
        width: 75px;
        height: 75px;
    }

}

@media screen and (max-width: 820px) {
    .band-name-large {
        font-size: 3.8em;
    }

    .main-footer h3 {
        display: none;
    }

    .footer-nav {
        margin-right: auto
    }

}

@media screen and (max-width: 670px) {
    .band-name-large {
        font-size: 3.2em;
    }

    .cart-column {
        margin-right: 0px;
    }

    .topnav a {
        display: none;
    }

    .topnav a.icon {
        float: right;
        display: block;
    }

    .topnav.responsive .icon {
        position: absolute;
        right: 16px;
        top: 11px;
    }

    .topnav.responsive a {
        float: none;
        display: flex;
        text-align: center;
        align-items: center;
        justify-content: center;
        margin-left: auto;
        margin-right: auto;
    }
}

@media screen and (max-width: 500px) {
    .main-header {
        padding: 5em 0 1em 0;
    }

    .news-section-row {
        flex-wrap: wrap
    }

    .news-section-column-large {
        flex: 88%;
    }

    .news-section-column-small {
        flex: 88%;
    }

    .news-section-row:last-child {
        padding-bottom: 100px;
    }

    .btn-header {
        display: none;
    }

    .article-small {
        flex: 0 0 100%;
        max-width: 100%;
        text-align: center;
        align-items: center;
        justify-content: center;
        margin-right: 0%;
    }

    .article-large {
        flex: 0 0 100%;
        max-width: 100%;
        align-items: center;
    }

    /*tables*/
    table.event {
        display: block;
        width: 100%;
        margin-left: 4px;
    }

    table.event thead th#thBtn {
        display: none;
    }

    .tour-btn {
        padding: 0.8em 4em;
        margin: 5px 0;
    }

    .button-toggle-big {
        display: none;
    }

}

@media screen and (min-width: 501px) {
    .button-toggle-small {
        display: none;
    }
}

@media screen and (max-width: 400px) {
    .main-header {
        padding: 7em 0 1em 0;
    }
}

@media print {
    .nav, .main-footer, .news-section-column-small, .main-header {
        display: none;
    }

    .article-title-text {
        font-size: 32px;
    }

    .article-content-text p {
        font-size: 24px;
    }

    .news-section-row {
        flex-wrap: wrap;
        padding: 0;
    }

    .news-section-column-large {
        flex: 88%;
    }

    .news-section-row {
        padding-bottom: 300px;
    }

    .article-body {
        border-style: none;
        page-break-after: always;
    }

}
